## python-coriolisclient 1.0.9

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
six>=1.9.0 # MIT

cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
requests>=2.20.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
future
websockets

=== debian/changelog ===
python-coriolisclient (1.0.9-2) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Jul 2024 11:41:41 +0200

python-coriolisclient (1.0.9-1) unstable; urgency=medium

  * Initial packaging (Closes: #1072208).

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:11:04 +0200

=== debian/control ===
Source: python-coriolisclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-cliff,
 python3-ddt,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-websockets,
 subunit,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-coriolisclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-coriolisclient.git
Homepage: https://github.com/cloudbase/python-coriolisclient

Package: python3-coriolisclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-websockets,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python:Provides},
Description: client bindings and cli to the Coriolis migration API
 The Coriolis command-line API offers an interface over the REST API provided
 by the Coriolis migration service.
 .
 This package contains the a client for the Coriolis API. There's a Python API
 (the "coriolisclient" module), and a command-line script ("coriolis").

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/cloudbase/python-coriolisclient
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_install:
	dh_install

override_dh_auto_test:
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/cloudbase/python-coriolisclient refs/tags/(\d[brc\d\.]+)
